%define upstream_name    Dist-Zilla-Plugin-SVK
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Provide the allow_dirty & changelog attributes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::MOP)
BuildRequires: perl(Cwd)
BuildRequires: perl(DateTime)
BuildRequires: perl(Dist::Zilla) >= 2.100.880
BuildRequires: perl(Dist::Zilla::Role::AfterRelease)
BuildRequires: perl(Dist::Zilla::Role::BeforeRelease)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Path::Class)
BuildRequires: perl(SVK)
BuildRequires: perl(SVK::Util)
BuildRequires: perl(SVK::XD)
BuildRequires: perl(SVN::Repos)
BuildRequires: perl(String::Formatter)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildArch:  noarch

%description
This set of plugins for the Dist::Zilla manpage can do interesting things
for module authors using http://svk.bestpractical.com to track their work.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
#make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-7.mga6
+ Revision: 1026581
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.100.0-6.mga6
+ Revision: 935163
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-5.mga5
+ Revision: 743265
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-3.mga4
+ Revision: 511120
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 366426
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 17 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 73098
- mageia rebuild
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-SVK

